List Notifications
GETTag: api-baas-get-all-bell-notificationsDescription: Retrieve a list of notifications related to the logged or target user./v1/notifications
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Sort attribute for paging.
Possible values: [asc, desc]
Default value: asc
Page order.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
Responses
- 200
- 400
- 401
- 403
- 422
Successfully retrieved notifications by user.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Notification data.
Notification UUID.
User UUID.
Notification title.
Notification description.
Indicates if the notification has been read.
Notification created at.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "a22054f5-baf1-4cc2-850c-ab95966cef46",
"user_id": "b28163ec-3d28-4786-a154-7a28ab3600a6",
"title": "Pix recebido.",
"description": "Uhuu! Pix recebido no valor de R$ 10,00.",
"read": false,
"created_at": "2026-04-22T12:38:21.056Z"
}
]
}
Invalid or missing parameters in the request.
User authentication failed.
The user does not have permission to access this resource or the product does not allow this operation.
Validation error on request parameters.